%define	upstream_name	 B-Keywords
%define	upstream_version 1.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lists of reserved barewords and symbol names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-B-Keywords < 1.140.0-2

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays,
@Hashes, @Filehandles, @Symbols, @Functions, and @Barewords. The
@Symbols array includes the contents of each of @Scalars, @Arrays,
@Hashes, and @Filehandles. Similarly, @Barewords adds a few
non-function keywords and operators to the @Functions array.

All additions and modifications are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/B
%{_mandir}/man*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.150.0-2pclos2017
- rebuild against updates

